import Util from '@/libs/util';
import Vue from 'vue';

const app = {
    state: {
        userInfo:{},
        chartHearData:{},
        iProjectId:5599,
        userId:'1115442959606779905'
    },
    mutations: {
        saveUserId(state,data){
            state.userId = data;
        },
        getUserInfo(state,obj){
            state.userInfo = obj;
        },
        setChartHearData(state,obj){
            state.chartHearData = obj;
        },
        setIproject(state,data){
            state.iProjectId = data;
        }
    },
    actions: {
        saveUserId({commit},obj){
            commit('saveUserId',obj);
        },
        getUserInfo({commit},obj){
            commit('getUserInfo',obj);
        },
        setChartHearData({commit},obj){
            commit('setChartHearData',obj);
        },
        setIproject({commit},data){
            commit('setIproject',data)
        }
    }
};

export default app;
